# Condition Class Reference

`#include <_thread.h>`

Inheritance diagram for Condition:

List of all members.

## Public Member Functions

| Condition ()
| ~Condition ()
void | operator() (void)
void | Wait (void)
void | WaitNext (void)

## Private Attributes

bool | flag

## Detailed Description

Definition at line 485 of file _thread.h.

## Constructor & Destructor Documentation

Condition::Condition | ( |  | ) | `[inline]`

Definition at line 489 of file _thread.h.

References flag.

Condition::~Condition | ( |  | ) | `[inline]`

Definition at line 491 of file _thread.h.

## Member Function Documentation

void Condition::operator() | ( | void |  | ) | `[inline]`

Definition at line 493 of file _thread.h.

References flag.

void Condition::Wait | ( | void |  | ) | `[inline]`

Definition at line 495 of file _thread.h.

References flag, Mutex::Lock(), Mutex::UnLock(), and Yield().

void Condition::WaitNext | ( | void |  | ) | `[inline]`

Definition at line 502 of file _thread.h.

References flag, Mutex::Lock(), Mutex::UnLock(), and Yield().

## Member Data Documentation

bool Condition::flag `[private]`

Definition at line 487 of file _thread.h.

Referenced by Condition(), operator()(), Wait(), and WaitNext().

The documentation for this class was generated from the following file:

- _thread.h